///////////////////////////////////////////////////////////////////////////////
//
// Filename: TLSignificanEvent.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  Significant Event entry.
//
// (c) Copyright R.H.Thornburrow, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.timeline;

public class TLSignificantEvent
{
    int _year;
    int _duration;
    String _name;
    
    public TLSignificantEvent( int year, int duration, String name )
    {
        _year = year;
        _duration = duration;
        _name = name;
    }
    
    public boolean isInRange( int year )
    {
        if( _duration == 0 )
            return( year == _year );
            
        return ( (year >= _year) && (year < (_year + _duration)) );
    }
    
    public int getYear()  { return _year; }
    
    public int getDuration()  { return _duration; }
    
    public String getName()  { return _name; }
}